/*
 * Generated by the Jasper component of Apache Tomcat
 * Version: JspC/ApacheTomcat9
 * Generated at: 2022-02-09 12:57:16 UTC
 * Note: The last modified time of this file was set to
 *       the last modified time of the source file after
 *       generation to assist with modification tracking.
 */
package org.apache.jsp.src.Ouvidoria;

import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import org.json.JSONObject;
import org.json.JSONException;
import java.util.Map;
import java.util.Calendar;
import java.text.SimpleDateFormat;
import br.com.light.ouvidoria.identificacaoparceiro.IdentificacaoParceiro;
import org.json.JSONObject;
import com.genesyslab.studio.backendlogic.GVPHttpRequestProcessor;
import java.util.Map;
import org.apache.logging.log4j.Logger;
import com.genesyslab.studio.backendlogic.BackendLogManager;

public final class IdentificacaoParceiroOuvidoria_jsp extends org.apache.jasper.runtime.HttpJspBase
    implements org.apache.jasper.runtime.JspSourceDependent,
                 org.apache.jasper.runtime.JspSourceImports {


// Implement this method to execute some server-side logic.
public JSONObject performLogic(JSONObject state, Map<String, String> additionalParams) throws Exception {

	JSONObject result = new JSONObject();
	 
	JSONObject dados = state.getJSONObject("io_dados");
	
	Calendar dataAuxiliar = Calendar.getInstance();
	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
	dataAuxiliar.add(Calendar.DAY_OF_MONTH, -60);
	
	//String clientId = dados.getString("clientId"); 
	//String clientSecret = dados.getString("clientSecret");
    //String urlUra = dados.getString("urlUra");
    //String urlUra = "http://ssppldb1.light.com.br:50200/XISOAPAdapter/MessageServlet?channel=:BS_URO_QUA:Z_CC_URO_VERIF_PN_INSTAL_SOAP_SENDER&version=3.0&Sender.Service=BS_URO_QUA&Interface=http://www.light.com.br/ura/ouvid_verif_pn_in^Z_SI_OUVID_VERIF_PN_IN_OUTBD_SYNC";
    //String timeoutUra = dados.getString("timeoutUra");
	
    String clientId = "WS_USER_URVV"; 
    String clientSecret = "P@ss21182222";
    String urlUra = "http://ssppldb1.light.com.br:50200/XISOAPAdapter/MessageServlet?channel=:BS_URO_PRD:Z_CC_URO_VERIF_PN_INSTAL_SOAP_SENDER&version=3.0&Sender.Service=BS_URO_PRD&Interface=http://www.light.com.br/ura/ouvid_verif_pn_in^Z_SI_OUVID_VERIF_PN_IN_OUTBD_SYNC";
    
    if ("d".equals(dados.getString("ambiente"))){
    	clientId = "WS_USER_URO";
    	clientSecret = "P@ssw0rd";
        urlUra = "http://ssppldb1.light.com.br:50200/XISOAPAdapter/MessageServlet?channel=:BS_URO_QUA:Z_CC_URO_VERIF_PN_INSTAL_SOAP_SENDER&version=3.0&Sender.Service=BS_URO_QUA&Interface=http://www.light.com.br/ura/ouvid_verif_pn_in^Z_SI_OUVID_VERIF_PN_IN_OUTBD_SYNC";	
    }
    
	String timeoutUra = "5000";
	String opcao = "1";
	String partner = ""; 
    String anlage = "";
	String telefone = "";
	String cpf = ""; 
    String cnpj = "";
    String protocolo = "";
	String dt_notas = sdf.format(dataAuxiliar.getTime());
	String max_instals = ""; 
	
	if("telefone".equals(dados.getString("tipo_identificacao"))){
		telefone = dados.getString("ani");
	} else if("cpf".equals(dados.getString("tipo_identificacao"))){
		cpf = dados.getString("doc_identificacao");
	} else if("cnpj".equals(dados.getString("tipo_identificacao"))){
		cnpj = dados.getString("doc_identificacao");
	} else if("protocolo".equals(dados.getString("tipo_identificacao"))){
		opcao = "4";
		protocolo = dados.getString("doc_identificacao");
	} else {
		//identificacao por numero de instalacao
		anlage = dados.getString("doc_identificacao");
		
		if (anlage.length() == 9) {
        	anlage = "0" + anlage;
		}
	}
       
	IdentificacaoParceiro identificacaoParceiro = new IdentificacaoParceiro();
	
	JSONObject retorno = identificacaoParceiro.executeIdentificacaoParceiro(clientId, clientSecret, opcao, partner, anlage, telefone, cpf, cnpj, dt_notas, max_instals, protocolo, urlUra, timeoutUra);
    
	if("protocolo".equals(dados.getString("tipo_identificacao")) && (!"0".equals(retorno.getString("Y_RETURN")))){
		opcao = "1";
		protocolo = "";
		anlage = dados.getString("doc_identificacao");
		retorno = identificacaoParceiro.executeIdentificacaoParceiro(clientId, clientSecret, opcao, partner, anlage, telefone, cpf, cnpj, dt_notas, max_instals, protocolo, urlUra, timeoutUra);
	}
	
	result.put ("retornoServico", retorno);
    
    return result;
    
};

  private static final javax.servlet.jsp.JspFactory _jspxFactory =
          javax.servlet.jsp.JspFactory.getDefaultFactory();

  private static java.util.Map<java.lang.String,java.lang.Long> _jspx_dependants;

  static {
    _jspx_dependants = new java.util.HashMap<java.lang.String,java.lang.Long>(1);
    _jspx_dependants.put("/src/Ouvidoria/../../include/backend.jspf", Long.valueOf(1634758096006L));
  }

  private static final java.util.Set<java.lang.String> _jspx_imports_packages;

  private static final java.util.Set<java.lang.String> _jspx_imports_classes;

  static {
    _jspx_imports_packages = new java.util.HashSet<>();
    _jspx_imports_packages.add("javax.servlet");
    _jspx_imports_packages.add("javax.servlet.http");
    _jspx_imports_packages.add("javax.servlet.jsp");
    _jspx_imports_classes = new java.util.HashSet<>();
    _jspx_imports_classes.add("com.genesyslab.studio.backendlogic.BackendLogManager");
    _jspx_imports_classes.add("org.json.JSONException");
    _jspx_imports_classes.add("org.json.JSONObject");
    _jspx_imports_classes.add("java.util.Calendar");
    _jspx_imports_classes.add("org.apache.logging.log4j.Logger");
    _jspx_imports_classes.add("br.com.light.ouvidoria.identificacaoparceiro.IdentificacaoParceiro");
    _jspx_imports_classes.add("java.util.Map");
    _jspx_imports_classes.add("java.text.SimpleDateFormat");
    _jspx_imports_classes.add("com.genesyslab.studio.backendlogic.GVPHttpRequestProcessor");
  }

  private volatile javax.el.ExpressionFactory _el_expressionfactory;
  private volatile org.apache.tomcat.InstanceManager _jsp_instancemanager;

  public java.util.Map<java.lang.String,java.lang.Long> getDependants() {
    return _jspx_dependants;
  }

  public java.util.Set<java.lang.String> getPackageImports() {
    return _jspx_imports_packages;
  }

  public java.util.Set<java.lang.String> getClassImports() {
    return _jspx_imports_classes;
  }

  public javax.el.ExpressionFactory _jsp_getExpressionFactory() {
    if (_el_expressionfactory == null) {
      synchronized (this) {
        if (_el_expressionfactory == null) {
          _el_expressionfactory = _jspxFactory.getJspApplicationContext(getServletConfig().getServletContext()).getExpressionFactory();
        }
      }
    }
    return _el_expressionfactory;
  }

  public org.apache.tomcat.InstanceManager _jsp_getInstanceManager() {
    if (_jsp_instancemanager == null) {
      synchronized (this) {
        if (_jsp_instancemanager == null) {
          _jsp_instancemanager = org.apache.jasper.runtime.InstanceManagerFactory.getInstanceManager(getServletConfig());
        }
      }
    }
    return _jsp_instancemanager;
  }

  public void _jspInit() {
  }

  public void _jspDestroy() {
  }

  public void _jspService(final javax.servlet.http.HttpServletRequest request, final javax.servlet.http.HttpServletResponse response)
      throws java.io.IOException, javax.servlet.ServletException {

    if (!javax.servlet.DispatcherType.ERROR.equals(request.getDispatcherType())) {
      final java.lang.String _jspx_method = request.getMethod();
      if ("OPTIONS".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        return;
      }
      if (!"GET".equals(_jspx_method) && !"POST".equals(_jspx_method) && !"HEAD".equals(_jspx_method)) {
        response.setHeader("Allow","GET, HEAD, POST, OPTIONS");
        response.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED, "JSPs only permit GET, POST or HEAD. Jasper also permits OPTIONS");
        return;
      }
    }

    final javax.servlet.jsp.PageContext pageContext;
    final javax.servlet.ServletContext application;
    final javax.servlet.ServletConfig config;
    javax.servlet.jsp.JspWriter out = null;
    final java.lang.Object page = this;
    javax.servlet.jsp.JspWriter _jspx_out = null;
    javax.servlet.jsp.PageContext _jspx_page_context = null;


    try {
      response.setContentType("application/json;charset=UTF-8");
      pageContext = _jspxFactory.getPageContext(this, request, response,
      			null, false, 8192, true);
      _jspx_page_context = pageContext;
      application = pageContext.getServletContext();
      config = pageContext.getServletConfig();
      out = pageContext.getOut();
      _jspx_out = out;

      out.write('\r');
      out.write('\n');
      out.write('\r');
      out.write('\n');
      out.write(" \r\n\r\n\r\n\r\n\r\n\r\n\r\n");
      out.write("\r\n\r\n\r\n\r\n\r\n\r\n\r\n");

response.setHeader("Cache-Control", "no-cache");
response.addHeader("X-Frame-Options", "DENY");     // Setting the "DENY" Flag on response object to restrict browsers that support this header from allowing embedding web-pages in a frame

Logger logger = BackendLogManager.getLogger("backEnd");
String output = null;

try {
    // process the post data
    GVPHttpRequestProcessor processor = new GVPHttpRequestProcessor(request);
    processor.parseRequest();
    
    // "state" encapsulates the state variable submitted by the VXML page
    JSONObject state = processor.getState();
    
    // additional parameters that were passed in the namelist
    Map<String, String> additionalParams = processor.getAdditionalParams();
    
    // perform the logic
    JSONObject result = performLogic(state, additionalParams);
    
	output = result.toString();
    
    out.print(output);
    logger.info("Output: " + output);
    
} catch (Exception e) {
    
    //Removed the call to 'e.printstacktrace()' as printing the stack trace of an exception is a bad practice.
    
    //String msg = e.getMessage();
    //if (null != msg){
    //	msg = msg.replace('"', '\'');
    //}
    out.print("An error has occured in the custom backend JSP file");
	logger.error("An error has occured in the custom backend JSP file");
}

    } catch (java.lang.Throwable t) {
      if (!(t instanceof javax.servlet.jsp.SkipPageException)){
        out = _jspx_out;
        if (out != null && out.getBufferSize() != 0)
          try {
            if (response.isCommitted()) {
              out.flush();
            } else {
              out.clearBuffer();
            }
          } catch (java.io.IOException e) {}
        if (_jspx_page_context != null) _jspx_page_context.handlePageException(t);
        else throw new ServletException(t);
      }
    } finally {
      _jspxFactory.releasePageContext(_jspx_page_context);
    }
  }
}
